/**
 * OW2 Util
 * Copyright (C) 2008
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id UrlResourceFetcherFactory.java $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.plan.fetcher.impl.url;

import org.ow2.util.plan.bindings.deploymentplan.DeploymentPlanFragment;
import org.ow2.util.plan.bindings.deploymentplan.url.UrlDeployment;
import org.ow2.util.plan.fetcher.api.IResourceFetcher;
import org.ow2.util.plan.fetcher.api.exceptions.FetcherFactoryException;
import org.ow2.util.plan.fetcher.impl.AbsResourceFetcherFactoryImpl;

/**
 * Implementation of the factory for URL resource fetchers.
 * @author Mickaël LEDUQUE
 */
public class UrlResourceFetcherFactory extends AbsResourceFetcherFactoryImpl {

    /**
     * Default constructor.
     */
    public UrlResourceFetcherFactory() {
        this.setFetcherConcreteClass(UrlResourceFetcher.class);
    }

    /**
     * {@inheritDoc}
     */
    public Class<? extends DeploymentPlanFragment> getSupportedClass() {
        return UrlDeployment.class;
    }

    /**
     * {@inheritDoc}
     */
    public IResourceFetcher getResourceFetcher(DeploymentPlanFragment fragment) throws FetcherFactoryException {
        UrlResourceFetcher fetcher = (UrlResourceFetcher) super.getResourceFetcher(fragment);
        return fetcher;
    }
}
